> For the complete documentation index, see [llms.txt](https://docs.digiledge.in/untitled/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digiledge.in/untitled/bbps/bbps-agent-integration/bbps-agent-api/get-all-plan-categories.md).

# Get all Plan categories

<mark style="color:blue;">**API for getting plan categories for a specific biller.This api has to be invoked if planMDM requirement is mandatory for the biller, it will return the plan categories**</mark>

| Endpoint                                                                                                |
| ------------------------------------------------------------------------------------------------------- |
| **Request:&#x20;**<mark style="color:blue;">**GET /masters/planCategories?billerId=HUNG00000NA**</mark> |

<mark style="color:blue;">**Request Parameters**</mark>

**The various parameters are explained below:**

| Parent Property/Element                | Property/Element Name | Mandatory | Data Type    | Description       |
| -------------------------------------- | --------------------- | --------- | ------------ | ----------------- |
| \[ROOT] (No parent property / element) | billerId              | M         | Alphanumeric | Fixed Length – 14 |

<mark style="color:blue;">**Response Parameters**</mark>

**The various parameters are explained below:**

| Parent Property/Element                | Property/Element Name | Mandatory | Data Type | Description                                       |
| -------------------------------------- | --------------------- | --------- | --------- | ------------------------------------------------- |
| \[ROOT] (No parent property / element) | categoryRespList      | M         | List      | List of categories                                |
| generalResp                            | statusCode            | M         | Numeric   | 200- SUCCESS Other than 200-Failure               |
|                                        | status                | M         | String    | It is either “Success” or failure                 |
|                                        | message               | M         | String    | Contains the reason message for failure / success |
|                                        | remarks               | C         | String    |                                                   |

<mark style="color:blue;">**Json Formatted Response Example**</mark>

<pre class="language-json"><code class="lang-json">    {
<strong>    "generalResp": { 
</strong>    "statusCode": "200",
    "status": "success",
    "message": "Categories retrieved successfully", 
    "remarks": ""
    },
    "categoryRespList": 
    [ "Music"
    ]
    }
</code></pre>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.digiledge.in/untitled/bbps/bbps-agent-integration/bbps-agent-api/get-all-plan-categories.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
